NuevaMedicionFragment

com.uva.rafael.tfg_goniometer.view.fragments

## Class NuevaMedicionFragment

- java.lang.Object
- - android.app.Fragment
  - - com.uva.rafael.tfg_goniometer.view.fragments.NuevaMedicionFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, ViewFunctions.NuevaMedicionFunctions

      public class NuevaMedicionFragment
      extends android.app.Fragment
      implements ViewFunctions.NuevaMedicionFunctions

  Esta clase es el `Fragment` que se encarga de, por un lado, mostrar al usuario la informacion del paciente al que se va a añadir una nueva medicion, y, por otro lado, mostrar al usuario las distintas opciones de las que dispone a la hora de añadir la medicion. Por ultimo, recoge toda la informacion que ha introducido al usuario con respecto a la nueva medicion y la envia a `NuevaMedicionPresenter` para que, finalmente, sea almacenada en la Base de Datos.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `Spinner`, `NuevaMedicionPresenter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) NuevaMedicionPresenter` | `presenter`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NuevaMedicionFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayErrorDatabase()` Metodo que muestra un mensaje de error cuando se ha intentado introducir una nueva medicion en la Base de Datos.
    `void` | `displayErrorUser()` Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar una nueva medicion.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente una medicion en la Base de Datos.
    `void` | `onCreate(android.os.Bundle savedInstanceState)` Called when the activity is starting.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.nueva_medicion_fragment, en este caso).
    `void` | `onDestroy()` Perform any final cleanup before an activity is destroyed.
    `void` | `setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)` Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
    `void` | `setLayoutVisibility(int layout, int visible)` Metodo que se encarga de modificar la visibilidad del `LinearLayout` en funcion del segundo parametro que se recibe
    `void` | `setText(int textView, java.lang.String text)` Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### presenter

          @Inject
          NuevaMedicionPresenter presenter

  - ### Constructor Detail

    - #### NuevaMedicionFragment

          public NuevaMedicionFragment()

  - ### Method Detail

    - #### onCreate

          public void onCreate(@Nullable
                               android.os.Bundle savedInstanceState)

      Called when the activity is starting.

      En este punto se comprueba si se ha pasado informacion al `Fragment` a traves de un Bundle, y, de ser asi, es almacenada en las variables globales del `Fragment`.

      Overrides:
        `onCreate` in class `android.app.Fragment`
      Parameters:
        `savedInstanceState` - `Bundle`: If the activity is being re-initialized after previously being shut down then this `Bundle` contains the data it most recently supplied in `onSaveInstanceState(Bundle)`. Otherwise it is null.

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.nueva_medicion_fragment, en este caso). Se encarga de mostrar al usuario la informacion que se tiene almacenada en la Base de Datos sobre ese paciente, asi como enviar al `NuevaMedicionPresenter` la nueva informacion sobre la medicion introducida por el usuario cuando este indica que quiere guardar la medicion en la Base de Datos.
      Overrides:
        `onCreateView` in class `android.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any view in the fragment.
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here. Return the View for the fragment's UI, or null.

    - #### setConstantesBundle

          public void setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)

      Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
      Specified by:
        `setConstantesBundle` in interface `ViewFunctions.NuevaMedicionFunctions`
      Parameters:
        `constantesBundle` - `ArrayList` con las constantes para obtener la informacion del `Bundle`

    - #### setText

          public void setText(int textView,
                              java.lang.String text)

      Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.
      Specified by:
        `setText` in interface `ViewFunctions.NuevaMedicionFunctions`
      Parameters:
        `textView` - `TextView` en el que se debe escribir
        `text` - Texto a escribir

    - #### setLayoutVisibility

          public void setLayoutVisibility(int layout,
                                          int visible)

      Metodo que se encarga de modificar la visibilidad del `LinearLayout` en funcion del segundo parametro que se recibe
      Specified by:
        `setLayoutVisibility` in interface `ViewFunctions.NuevaMedicionFunctions`
      Parameters:
        `layout` - `LinearLayout` sobre el que se aplica este metodo
        `visible` - Visibilidad a asignar

    - #### displaySuccess

          public void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente una medicion en la Base de Datos.
      Specified by:
        `displaySuccess` in interface `ViewFunctions.NuevaMedicionFunctions`

    - #### displayErrorDatabase

          public void displayErrorDatabase()

      Metodo que muestra un mensaje de error cuando se ha intentado introducir una nueva medicion en la Base de Datos.
      Specified by:
        `displayErrorDatabase` in interface `ViewFunctions.NuevaMedicionFunctions`

    - #### displayErrorUser

          public void displayErrorUser()

      Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar una nueva medicion.
      Specified by:
        `displayErrorUser` in interface `ViewFunctions.NuevaMedicionFunctions`

    - #### onDestroy

          public void onDestroy()

      Perform any final cleanup before an activity is destroyed.
      Overrides:
        `onDestroy` in class `android.app.Fragment`